Bug 517820 - .desktop file with incorrect encoding
Summary: .desktop file with incorrect encoding
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 11:11 UTC by Matěj Cepl
Modified: 2018-04-11 08:50 UTC (History)
2 users (show)

Fixed In Version: 0.17.0-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-11 23:22:32 UTC


Attachments (Terms of Use)
gpodder.desktop from the upstream tarball (1.79 KB, text/plain)
2009-08-17 22:13 UTC, Matěj Cepl
no flags Details
other .desktop file (1.47 KB, text/plain)
2009-08-17 22:14 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2009-08-17 11:11:05 UTC
Description of problem:

Encoding of fedora-gpodder.desktop file is completely broken, quite certainly it isn't UTF-8. No idea how to translate other than CS strings:

Name[cs]=gPodder podcast čtečka
Comment[cs]=Umožňuje stahování audio/video podcastu a synchornizaci s MP3 přehrávačem

Version-Release number of selected component (if applicable):
gpodder-0.17.0-2.fc11.noarch

Comment 1 Jef Spaleta 2009-08-17 18:52:07 UTC
hmm, I'm going to have to take this up with upstream, translations are being done in upstream. 

Is the packaging process messing up the encoding? Can you pull the upstream source tarball and see if the encoding is sane in the desktop file there?

-jef

Comment 2 Matěj Cepl 2009-08-17 22:13:41 UTC
Created attachment 357718 [details]
gpodder.desktop from the upstream tarball

(In reply to comment #1)
> Is the packaging process messing up the encoding? Can you pull the upstream
> source tarball and see if the encoding is sane in the desktop file there?

Most likely. This looks perfect

Comment 3 Matěj Cepl 2009-08-17 22:14:08 UTC
Created attachment 357719 [details]
other .desktop file

and this one as well

Comment 4 Jef Spaleta 2009-08-17 22:47:36 UTC
Hmm.. 
in the spec file I'm using iconv -f latin1 -t utf-8    to force the encoding.  This maybe a piece of cruft needed in a very old version of gpodder.  I'll do a build with that removed and see if it behaves better.

stay tuned.

Comment 5 Jef Spaleta 2009-08-17 23:13:53 UTC
I think this fixed it...see if the encoding is better in:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1610944

If it looks good I can push this into testing today.

-jef

Comment 6 Matěj Cepl 2009-08-17 23:17:21 UTC
(In reply to comment #4)
> Hmm.. 
> in the spec file I'm using iconv -f latin1 -t utf-8    to force the encoding. 

This should be wrong ... upstream files are perfect UTF-8 already.

Comment 7 Matěj Cepl 2009-08-17 23:26:17 UTC
Yes, it is perfect. Thanks.

Comment 8 Fedora Update System 2009-08-18 16:15:28 UTC
gpodder-0.17.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gpodder-0.17.0-3.fc11

Comment 9 Fedora Update System 2009-08-19 23:12:53 UTC
gpodder-0.17.0-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gpodder'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8738

Comment 10 Fedora Update System 2009-09-11 23:22:27 UTC
gpodder-0.17.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.